import axios from "axios";
import axiosInstance from "../http/axiosInstance";

export default class AuthService {
    static async hello() {
        return await axios.get(`${import.meta.env.VITE_API_AUTH_URL}/hello`)
    }

    static async getUsers() {
        return await axiosInstance.get(`/auth/user`)
    }

    static async getCurrentUser(token: string){
        return await axiosInstance.get(`/auth/get_current_user/${token}`)
    }
}